if (GetDeviceData!='') {
	Rs232GetAllJson(GetDeviceData);
}
function Rs232GetAllJson(jsonArr){
	var _jsonArr = eval('('+jsonArr+')');
	// error function
	if (_jsonArr.result.error.length>0) {	     
	    for (var i = 0; i < _jsonArr.result.error.length; i++) {
	       (function(ii){
	        	var _id = _jsonArr.result.error[i].device_id;
	        	var _arr1 = _data.Rs232_De_En_arr.split(',');
	        	var _arr2 = _data.Rs232_En_De_arr.split(',');
	        	var _number;
	        	var _type;
	        				
	        	for (var j = 0; j < _arr1.length-1; j++) {
	        		(function(jj){	        						
	        			if (_arr1[j]==_id) {
		        			_data.Rs232_De_En_arr = _data.Rs232_De_En_arr.replace(_id,'');                   	                    
		        			Rs232IrReceiverDataDetaileDataArr[j]='';
		        			Decode_Rs232_DataArr[j]='';
		        			$('.IPAV1100Rs232RxCont li:eq('+(j+1)+')').html('');
							$('.IPAV1100Rs232RxCont li:eq('+(j+1)+')').removeClass('deviceBoxHasDevice');
		        		}
	        		})(j);
	        	}
	        	for (var k = 0; k < _arr2.length-1; k++) {
	        		(function(kk){
	        			if (_arr2[kk]==_id) {
	        				_data.Rs232_En_De_arr = _data.Rs232_En_De_arr.replace(_id,'');
	        				Rs232IrSenderDataDetaileDataArr[kk]='';
		        			Encode_Rs232_DataArr[kk]='';
		        			$('.IPAV1100Rs232TxCont li:eq('+(kk)+')').html('');
							$('.IPAV1100Rs232TxCont li:eq('+(kk)+')').removeClass('deviceBoxHasDevice');
		        		}
	        		})(k);
	        	}	        				
	        })(i);
	    }
	}
	// 
	if(_jsonArr.result.devices.length>0){
	    for (var i = 0; i < _jsonArr.result.devices.length; i++) {
	        (function(ii){	
	        	if (parseInt(_jsonArr.result.devices[ii].identity.vendor_id)!=115) {
	    			console.log(_jsonArr.result.devices[ii].device_id+':'+_jsonArr.result.devices[ii].identity.firmware_comment);
	    			
	    		}
	    		else{
	    			if (VideoDeviceArr[ii]!=_jsonArr.result.devices[ii]) {
	    				VideoDeviceArr[ii]=_jsonArr.result.devices[ii];
		    			Rs232GetData(_jsonArr.result.devices[ii]);
				        GetDeviceDetaileData(_jsonArr.result.devices[ii]);
		    		}
		    			
			        
	    		}
				   
			})(i);
		}				
		// AddEventListen(9);
		// AddEventListen(10);    
	}
}
function Rs232GetData(_json) {
	var hostname = checkReceiveJsonDataToString(_json.nodes,'nodes','type','NETWORK_INTERFACE','configuration.hostname');
	var ipaddress = checkReceiveJsonDataToString(_json.nodes,'nodes','type','NETWORK_INTERFACE','configuration.ip.address');

	if (_json.identity.is_receiver) {
		var address = checkReceiveJsonDataToString(_json.streams,'streams','type','RS232','configuration.address');
		//var display_mode = checkReceiveJsonDataToString(_json,'nodes','type','FRAME_BUFFER','configuration.display_mode');
		var display_mode = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','inputs[0].configuration.source.value');
		
		if (display_mode==0) {
			display_mode = 0;			
		}
		else if(display_mode==1){
			display_mode = checkReceiveJsonDataToString(_json.nodes,'nodes','type','FRAME_BUFFER','configuration.display_mode');
		}
		var state = checkReceiveJsonDataToString(_json.streams,'streams','type','RS232','status.state');
		//_json,'nodes','type','FRAME_BUFFER','configuration.width'
		var width = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.width');
		// _json,'nodes','type','FRAME_BUFFER','configuration.height'
		var height = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.height');
		// _json,'nodes','type','FRAME_BUFFER','configuration.frames_per_second'
		var frames_per_second = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.frames_per_second');
		// _json,'nodes','type','FRAME_BUFFER','status.source_video.color_space'
		var color_space = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.color_space');
		// _json,'nodes','type','FRAME_BUFFER','status.source_video.bits_per_pixel'
		var bits_per_pixel = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.video.bits_per_pixel');
		var hdcp_version = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_ENCODER','status.hdcp_version');
		checkDecodeRs232Display(_json.device_id,_json.identity.is_receiver,hostname,ipaddress,_json.identity.firmware_version,
						display_mode,address,state,width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,_json.identity.is_receiver);
		
	}else if (_json.identity.is_transmitter) {
		var address = checkReceiveJsonDataToString(_json.streams,'streams','type','RS232','configuration.address');
		var state = checkReceiveJsonDataToString(_json.streams,'streams','type','RS232','status.state');
		var width = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.width');
		var height = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.height');
		var frames_per_second = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.frames_per_second');
		var color_space = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.color_space');
		var bits_per_pixel = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.video.bits_per_pixel');
		var hdcp_version = checkReceiveJsonDataToString(_json.nodes,'nodes','type','HDMI_DECODER','status.hdcp_version');
		// console.log(address+state);
		checkDecodeRs232Display(_json.device_id,_json.identity.is_receiver,hostname,ipaddress,_json.identity.firmware_version,
						'display_mode',address,state,width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,_json.identity.is_receiver);
		
	}
}

// 检测该数据流的类型 TX or RX,并且写入device模块
function checkDecodeRs232Display(device_id,is_receiver,hostname,
	ip,firmware_version,display_mode,multicast_address,statu,
	width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,checkType){
	checkDataIsInArr(is_receiver,device_id);
	check_Rs232_DataIsChange(device_id,hostname,
					ip,firmware_version,display_mode,multicast_address,statu,
					width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,checkType);
}

// 检测decode数据是否变动
function check_Rs232_DataIsChange(device_id,hostname,ip,firmware_version,display_mode,multicast_address,statu,width,height,frames_per_second,color_space,bits_per_pixel,hdcp_version,checkType){
    var _arr = _data.Rs232_De_En_arr.split(',');
    var _arrTx = _data.Rs232_En_De_arr.split(',');
    var _num,_numTx;
    for (var i = 0; i <_arr.length-1; i++) {
        (function(ii){
            if (_arr[ii]==device_id) {
                _num=ii;
            }
        })(i);
    }
    for (var i = 0; i <_arrTx.length-1; i++) {
        (function(ii){
            if (_arrTx[ii]==device_id) {
                _numTx=ii;
            }
        })(i);
    }
	if (typeof(Decode_Rs232_DataArr[_num])=='undefined'||Decode_Rs232_DataArr[_num].length==0) {//||Decode_Rs232_DataArr[_num].length==0
		if (typeof(Decode_Rs232_DataArr[_num])=='undefined'||Decode_Rs232_DataArr[_num]=='') {
            Decode_Rs232_DataArr[_num]=[];
        }
        //$('.IPAV1100Rs232RxCont li:eq('+(_num+1)+')').attr('class','decodeencodeexist');
                // $('.IPAV1100Rs232RxCont li:eq('+(_num+2)+')').attr('ondragover','exp1(event)');
                // $('.IPAV1100Rs232RxCont ul li:eq('+(_num+2)+')').attr('ondrop','deviceToChangePosition(event)');
                // $('.IPAV1100Rs232RxCont li:eq('+(_num+2)+')').attr('draggable','true');
                // $('.IPAV1100Rs232RxCont li:eq('+(_num+2)+')').attr('ondragstart','DecodeExpstart(event)');
                var addData = "<div class='DeviceBoxNavTop'>\
									<span>"+hostname+"</span>\
									<a class='DeviceBoxNavTopSetting'></a>\
									<a class='DeviceBoxNavTopLocked'></a>\
								</div>\
								<div class='DeviceBoxCont'>\
									<div class='DeviceBoxContOnceDisplay'>\
										<div class='Rs232DeviceBoxContOnceDisplayImg'></div>\
										<div class='DeviceBoxContOnceDisplayInfo'>\
											<span>"+ width + "x" + height +"</span>\
											<span>"+ frames_per_second +"Hz</span>\
											<span>"+ color_space + "," + bits_per_pixel + "Bit</span>\
										</div>\
									</div>\
								</div>\
								<div class='DeviceBoxBottom'>\
									<div class='DeviceBoxBottomDataScroll'>\
										<span>"+ ip +"-"+ (display_mode==0?'Genlock':display_mode) +"</span>\
										<img src='images/deviceBoxBottomIco.png'>\
									</div>\
									<div class='DeviceBoxBottomDataDetail'>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Hostname:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ hostname +"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>IP:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ip+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>MAC:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+device_id+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Firmware:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>v"+firmware_version+"</span>\
										</div>\
									</div>\
								</div>";
				$('.IPAV1100Rs232RxCont li:eq('+(_num+1)+')').html(addData);
				$('.IPAV1100Rs232RxCont li:eq('+(_num+1)+')').addClass('deviceBoxHasDevice');
        AddEventListen(9);
        _checkLoadingType=1;
    }
    if (Decode_Rs232_DataArr[_num][0] != hostname||
		Decode_Rs232_DataArr[_num][1] != device_id||
		Decode_Rs232_DataArr[_num][2] != ip||
		Decode_Rs232_DataArr[_num][3] != firmware_version||
		Decode_Rs232_DataArr[_num][4] != display_mode||
		Decode_Rs232_DataArr[_num][5] != multicast_address||
		Decode_Rs232_DataArr[_num][6] != statu||
		Decode_Rs232_DataArr[_num][7] != width||
		Decode_Rs232_DataArr[_num][8] != height||
		Decode_Rs232_DataArr[_num][9] != frames_per_second||
		Decode_Rs232_DataArr[_num][10] != color_space||
		Decode_Rs232_DataArr[_num][11] != bits_per_pixel||
		Decode_Rs232_DataArr[_num][12] !=hdcp_version ||
		Decode_Rs232_DataArr[_num][13] != checkType) {
			if (typeof(Decode_Rs232_DataArr[_num])=='string') {
				Decode_Rs232_DataArr[_num] = [];
			}
			checkRoutingTableChange = 1;
			Decode_Rs232_DataArr[_num][0]=hostname;
			Decode_Rs232_DataArr[_num][1]=device_id;
			Decode_Rs232_DataArr[_num][2]=ip;
			Decode_Rs232_DataArr[_num][3]=firmware_version;
			Decode_Rs232_DataArr[_num][4]=display_mode;
			Decode_Rs232_DataArr[_num][5]=multicast_address;
			Decode_Rs232_DataArr[_num][6]=statu;
			Decode_Rs232_DataArr[_num][7]=width;
			Decode_Rs232_DataArr[_num][8]=height;
			Decode_Rs232_DataArr[_num][9]=frames_per_second;
			Decode_Rs232_DataArr[_num][10]=color_space;
			Decode_Rs232_DataArr[_num][11]=bits_per_pixel;
			Decode_Rs232_DataArr[_num][12]=hdcp_version;
			Decode_Rs232_DataArr[_num][13]=checkType;
        if(1) {
        	
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(1)').html(hostname);
            $('.IPAV1100Rs232RxCont li:eq(' + (_numTx+1) + ') .DeviceBoxNavTop span').html(hostname);
            var _device_id = stringToArray(device_id,2);

            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(5)').html((_device_id[0]+'-'+
            																						_device_id[1]+'-'+
            																						_device_id[2]+'-'+
            																						_device_id[3]+'-'+
            																						_device_id[4]+'-'+
            																						_device_id[5]).toLocaleUpperCase());
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(3)').html(ip);
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataDetail span:eq(7)').html('v' + firmware_version);
            var switchType;
            if (display_mode==0) {		
				switchType = '-Genlock';
			}
			else if(display_mode=='FAST_SWITCHED'||display_mode=='FAST_SWITCHED_CROP'||display_mode=='FAST_SWITCHED_STRETCH'){//fast switch full screen 
				switchType = '-Fast Switch';
			}
			else if(display_mode=='GENLOCK_SCALING'){//genlock scaling
				switchType = '-Genlock Scaling';
			}
			else if(display_mode=='WALL_GENLOCKED'){
				switchType = '-Wall Genlock';
			}
			else {
				switchType = '';
			}
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxBottomDataScroll span').html(ip+switchType);
            // if (statu=='STREAMING') {
            // 	$('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStop').addClass('DeviceBoxNavTopStreaming');
            // 	$('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStatus').addClass('DeviceBoxNavTopStatusStreaming');
            // }
            // else {
            // 	$('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStop').removeClass('DeviceBoxNavTopStreaming');
            // 	$('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxNavTopStatus').removeClass('DeviceBoxNavTopStatusStreaming');
            // }
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(0)').html(width + "x" + height);
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(1)').html(frames_per_second + "Hz");
            $('.IPAV1100Rs232RxCont li:eq(' + (_num + 1) + ') .DeviceBoxContOnceDisplayInfo span:eq(2)').html(color_space + ',' + bits_per_pixel + 'Bit');
            
            if (width=='0'&&height=='0') {
            	$('.IPAV1100Rs232RxCont li:eq(' + (_num+1) + ') .DeviceBoxContOnceDisplayImg').addClass('DeviceBoxContOnceDisplayImgNoDevice');
            }else{
            	$('.IPAV1100Rs232RxCont li:eq(' + (_num+1) + ') .DeviceBoxContOnceDisplayImg').removeClass('DeviceBoxContOnceDisplayImgNoDevice');
            }
            ReloadPosition(5,1);
        }		
	}
    if (typeof(Encode_Rs232_DataArr[_numTx])=='undefined'||Encode_Rs232_DataArr[_numTx].length==0) {//||Encode_Rs232_DataArr[_num].length==0
        if (typeof(Encode_Rs232_DataArr[_numTx])=='undefined'||Encode_Rs232_DataArr[_numTx]=='') {
            Encode_Rs232_DataArr[_numTx]=[];
        }
        //$('.IPAV1100Rs232TxCont li:eq('+_numTx+')').attr('id','DeviceEncodePositionID'+_numTx);
				//$('.IPAV1100Rs232TxCont li:eq('+_numTx+')').attr('class','decodeencodeexist');
				// $('.IPAV1100Rs232TxCont li:eq('+_num+')').attr('draggable','true');
				// $('.IPAV1100Rs232TxCont li:eq('+_num+')').attr('ondrop','deviceToChangePosition(event)');
				// $('.IPAV1100Rs232TxCont li:eq('+_num+')').attr('ondragover','exp1(event)');
				// $('.IPAV1100Rs232TxCont li:eq('+_num+')').attr('ondragstart','expstart(event)');
				var addData = "<div class='DeviceBoxNavTop'>\
									<span>"+hostname+"</span>\
									<a class='DeviceBoxNavTopStatus'></a>\
									<a class='DeviceBoxNavTopSetting'></a>\
									<a class='DeviceBoxNavTopStop'></a>\
									<a class='DeviceBoxNavTopLocked'></a>\
								</div>\
								<div class='DeviceBoxCont'>\
									<div class='DeviceBoxContOnceDisplay'>\
										<div class='Rs232DeviceBoxContOnceDisplayImg'></div>\
										<div class='DeviceBoxContOnceDisplayInfo'>\
											<span>"+ width + "x" + height +"</span>\
											<span>"+ frames_per_second +"Hz</span>\
											<span>"+ color_space + "," + bits_per_pixel + "Bit</span>\
										</div>\
									</div>\
								</div>\
								<div class='DeviceBoxBottom'>\
									<div class='DeviceBoxBottomDataScroll'>\
										<span>"+ ip +"</span>\
										<img src='images/deviceBoxBottomIco.png'>\
									</div>\
									<div class='DeviceBoxBottomDataDetail'>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Hostname:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ hostname +"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>IP:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+ip+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>MAC:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>"+device_id+"</span>\
										</div>\
										<div>\
											<span class='DeviceBoxBottomDataDetailLeft'>Firmware:</span>\
											<span class='DeviceBoxBottomDataDetailRifht'>v"+firmware_version+"</span>\
										</div>\
									</div>\
								</div>";
				$('.IPAV1100Rs232TxCont li:eq('+(_numTx)+')').html(addData);
				$('.IPAV1100Rs232TxCont li:eq('+(_numTx)+')').addClass('deviceBoxHasDevice');
           	AddEventListen(10);
        _checkLoadingType=1;
    }
    if (Encode_Rs232_DataArr[_numTx][0] != hostname||
		Encode_Rs232_DataArr[_numTx][1] != device_id||
		Encode_Rs232_DataArr[_numTx][2] != ip||
		Encode_Rs232_DataArr[_numTx][3] != firmware_version||
		Encode_Rs232_DataArr[_numTx][4] != multicast_address||
		Encode_Rs232_DataArr[_numTx][5] != statu||
		Encode_Rs232_DataArr[_numTx][6] != width||
		Encode_Rs232_DataArr[_numTx][7] != height||
		Encode_Rs232_DataArr[_numTx][8] != frames_per_second||
		Encode_Rs232_DataArr[_numTx][9] != color_space||
		Encode_Rs232_DataArr[_numTx][10] != bits_per_pixel||
		Encode_Rs232_DataArr[_numTx][11] != hdcp_version||
		Encode_Rs232_DataArr[_numTx][12] != checkType||
		Encode_Rs232_DataArr[_numTx][13] != display_mode) {
			if (typeof(Encode_Rs232_DataArr[_numTx])=='string') {
				Encode_Rs232_DataArr[_numTx] = [];
			}
			checkRoutingTableChange = 1;
			Encode_Rs232_DataArr[_numTx][0]=hostname;
			Encode_Rs232_DataArr[_numTx][1]=device_id;
			Encode_Rs232_DataArr[_numTx][2]=ip;
			Encode_Rs232_DataArr[_numTx][3]=firmware_version;
			Encode_Rs232_DataArr[_numTx][4]=multicast_address;
			Encode_Rs232_DataArr[_numTx][5]=statu;
			Encode_Rs232_DataArr[_numTx][6]=width;
			Encode_Rs232_DataArr[_numTx][7]=height;
			Encode_Rs232_DataArr[_numTx][8]=frames_per_second;
			Encode_Rs232_DataArr[_numTx][9]=color_space;
			Encode_Rs232_DataArr[_numTx][10]=bits_per_pixel;
			Encode_Rs232_DataArr[_numTx][11]= hdcp_version;
			Encode_Rs232_DataArr[_numTx][12]=checkType;
			Encode_Rs232_DataArr[_numTx][13]=display_mode;
        if(1) {
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataDetail span:eq(1)').html(hostname);
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxNavTop span').html(hostname);
            var _device_id = stringToArray(device_id,2);

            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataDetail span:eq(5)').html((_device_id[0]+'-'+
            																						_device_id[1]+'-'+
            																						_device_id[2]+'-'+
            																						_device_id[3]+'-'+
            																						_device_id[4]+'-'+
            																						_device_id[5]).toLocaleUpperCase());
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataDetail span:eq(3)').html(ip);
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataDetail span:eq(7)').html('v' + firmware_version);
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataScroll span').html(ip);
            if (statu=='STREAMING') {
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxNavTopStop').addClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxNavTopStatus').addClass('DeviceBoxNavTopStatusStreaming');
            }
            else {
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxNavTopStop').removeClass('DeviceBoxNavTopStreaming');
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxNavTopStatus').removeClass('DeviceBoxNavTopStatusStreaming');
            }
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxContOnceDisplayInfo span:eq(0)').html(width + "x" + height);
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxContOnceDisplayInfo span:eq(1)').html(frames_per_second + "Hz");
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxContOnceDisplayInfo span:eq(2)').html(color_space + ',' + bits_per_pixel + 'Bit');
            var switchType='';
            if (Encode_Rs232_DataArr[_numTx][12]) {
                if (Encode_Rs232_DataArr[_numTx][13]==0) {		
					switchType = '-Genlock';
				}
				else if(Encode_Rs232_DataArr[_numTx][13]=='FAST_SWITCHED'||Encode_Rs232_DataArr[_numTx][13]=='FAST_SWITCHED_CROP'||Encode_Rs232_DataArr[_numTx][13]=='FAST_SWITCHED_STRETCH'){//fast switch full screen 
					switchType = '-Fast Switch';
				}
				else if(Encode_Rs232_DataArr[_numTx][13]=='GENLOCK_SCALING'){//genlock scaling
					switchType = '-Genlock Scaling';
				}
				else if(Encode_Rs232_DataArr[_numTx][13]=='WALL_GENLOCKED'){
					switchType = '-Wall Genlock';
				}
            }
            $('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxBottomDataScroll span').html(Encode_Rs232_DataArr[_numTx][2]+switchType);
            if (width=='0'&&height=='0') {
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxContOnceDisplayTxImg').addClass('DeviceBoxContOnceDisplayTxImgNoDevice');
            }else{
            	$('.IPAV1100Rs232TxCont li:eq(' + (_numTx) + ') .DeviceBoxContOnceDisplayTxImg').removeClass('DeviceBoxContOnceDisplayTxImgNoDevice');
            }
            ReloadPosition(5,2);
        }
		
		
	}
}
